# TRTCParams class Null safety

Room entry parameters

As the room entry parameters in the TRTC SDK, only if these parameters are correctly set can the user successfully enter the audio/video room specified by `roomId`.

## Constructors

TRTCParams({int sdkAppId = 0, String userId = "", String userSig = "", int roomId = 0, String strRoomId = "", int role = TRTCCloudDef.TRTCRoleAnchor, String streamId = "", String userDefineRecordId = "", String privateMapKey = "", String businessInfo = ""})

## Properties

businessInfo ↔ String
  Field description: business data, which is optional. This field applies only to some uncommon special requirements.
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
privateMapKey ↔ String
  Field description: room signature, which is optional. If you want only users with the specified `userIds` to enter a room, you need to use `privateMapKey` to restrict the permission.
  read / write
role ↔ int
  Field description: role in the live streaming scenario. The SDK uses this parameter to determine whether the user is an anchor or an audience user. This parameter is required in the live streaming scenario and optional in the call scenario.
  read / write
roomId ↔ int
  Field description: room ID, which is required. Users (userId) in the same room can see one another and make video calls.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sdkAppId ↔ int
  Field description: application ID, which is required. Tencent Video Cloud generates bills based on `sdkAppId`.
  read / write
streamId ↔ String
  Field description: bound Tencent Cloud CSS CDN stream ID, which is optional. After setting this field, you can play back the user's audio/video stream on Tencent Cloud Live CDN through a standard live streaming scheme (FLV or HLS).
  read / write
strRoomId ↔ String
  String-type room ID. Users (userId) in the same room can see one another and make video calls.
  read / write
userDefineRecordId ↔ String
  Field description: on-cloud recording switch, which is used to specify whether to record the user's audio/video stream into a file in the specified format in the cloud.
  read / write
userId ↔ String
  Field description: user ID, which is required. It is the `userId` of the local user and acts as the username.
  read / write
userSig ↔ String
  Field description: user signature, which is required. It is the authentication signature corresponding to the current `userId` and acts as the login password for Tencent Cloud services.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited